#!/bin/sh
cd $1/usr/include/asm
for I in `( ls /usr/src/linux/include/asm-sparc; ls /usr/src/linux/include/asm-sparc64 ) | grep '\.h$' | sort -u`; do
	J=`echo $I | tr a-z. A-Z_`
	cat > $I << EOF
#ifndef __SPARCSTUB__${J}__
#define __SPARCSTUB__${J}__
EOF
	if [ -f /usr/src/linux/include/asm-sparc/$I -a -f /usr/src/linux/include/asm-sparc64/$I ]; then
		cat >> $I <<EOF
#ifdef __sparc_v9__
#include <asm-sparc64/$I>
#else
#include <asm-sparc/$I>
#endif
#endif
EOF
	elif [ -f /usr/src/linux/include/asm-sparc/$I ]; then
		cat >> $I <<EOF
#ifndef __sparc_v9__
#include <asm-sparc/$I>
#else
#error $I is not supported on SPARC64
#endif
#endif
EOF
	else
		cat >> $I <<EOF
#ifdef __sparc_v9__
#include <asm-sparc64/$I>
#else
#error $I is not supported on SPARC32
#endif
#endif
EOF
	fi
done
